package top.baogutang.common.serialize;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.context.annotation.Configuration;

/**
 * 系统设置
 *
 * @author Chopper
 */
@Data
@Configuration
@RefreshScope
@ConfigurationProperties(prefix = "baogutang.system")
public class SystemSettingProperties {

    /**
     * 脱敏级别：
     * 0：不做脱敏处理
     * 1：管理端用户手机号等信息脱敏
     * 2：商家端信息脱敏（为2时，表示管理端，商家端同时脱敏）
     * <p>
     * PS:
     */
    private Integer sensitiveLevel = 0;


    public Integer getSensitiveLevel() {
        if (sensitiveLevel == null) {
            return 0;
        }
        return sensitiveLevel;
    }
}
